## com.gargoylesoftware.htmlunit
Class ImmediateRefreshHandler

    java.lang.Object
      com.gargoylesoftware.htmlunit.ImmediateRefreshHandler

All Implemented Interfaces:
  RefreshHandler, java.io.Serializable

    public class ImmediateRefreshHandler

extends java.lang.Object
implements RefreshHandler, java.io.Serializable

The default handler for page refreshes. This refresh handler immediately refreshes the specified page, using the specified URL and ignoring the wait time. If you want a refresh handler that does not ignore the wait time, see `ThreadedRefreshHandler`.

Version:
  $Revision: 4463 $
Author:
  Mike Bowler, Daniel Gredler, Marc Guillemot, Ahmed Ashour
See Also:
  Serialized Form

Constructor Summary
`ImmediateRefreshHandler()`

Method Summary
`void` `handleRefresh(Page page, java.net.URL url, int seconds)` Immediately refreshes the specified page using the specified URL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImmediateRefreshHandler

    public ImmediateRefreshHandler()

Method Detail

### handleRefresh

    public void handleRefresh(Page page,
                              java.net.URL url,
                              int seconds)
                       throws java.io.IOException

  Immediately refreshes the specified page using the specified URL.

  Specified by:
    `handleRefresh` in interface `RefreshHandler`
  Parameters:
    `page` - the page that is going to be refreshed
    `url` - the URL where the new page will be loaded
    `seconds` - the number of seconds to wait before reloading the page (ignored!)
  Throws:
    `java.io.IOException` - if the refresh fails

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.